#!/bin/bash
# Script to run package configure

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi


do_buildstep_prepend

	# libcap uses := for compilers, fortunately, it gives us a hint
    # on what should be replaced with ?=
    log sed -e 's,:=,?=,g' -i Make.Rules
    sed -e 's,:=,?=,g' -i Make.Rules
    log sed -e 's,^BUILD_CFLAGS ?= $(.*CFLAGS),BUILD_CFLAGS := $(BUILD_CFLAGS),' -i Make.Rules
    sed -e 's,^BUILD_CFLAGS ?= $(.*CFLAGS),BUILD_CFLAGS := $(BUILD_CFLAGS),' -i Make.Rules
    # disable gperf detection
    log sed -e '/shell gperf/cifeq (,yes)' -i libcap/Makefile
    sed -e '/shell gperf/cifeq (,yes)' -i libcap/Makefile

do_buildstep_append
