#!/bin/bash
#
# Recipe-specific step for task Install:  (make_install.sh)
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
    autotools_do_install
	for x in $bindir/xslt-config; do
		# Make the disabled script emit invalid parameters for those configure
		# scripts which call it without checking the return code.
		echo "#!/bin/sh" > $installDir$x
		echo "echo 'ERROR: $x should not be used, use an alternative such as pkg-config' >&2" >> $installDir$x
		echo "echo '--should-not-have-used-$x'" >> $installDir$x
		echo "exit 1" >> $installDir$x
		chmod +x $installDir$x
	done
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

