#!/bin/bash
#
# Script to install the native parts of the linaro gcc distribution for Linux
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

# First cleanup everything
log_exec "rm -rf $SRC_NAME _install/*"

# Install native wrapper around pkg-config
mkdir -p _install/bin
log_exec cp cross-pkg-config _install/bin/${arch_compiler_prefix}-pkg-config
log_exec chmod a+x _install/bin/${arch_compiler_prefix}-pkg-config
