# Additional steps for installing kmod

log_exec install -dm755 ${installDir}${bindir}
log_exec install -dm755 ${installDir}${sbindir}

# Add symlinks to kmod
log_exec ln -snfr ${installDir}${bindir}/kmod ${installDir}${bindir}/lsmod
for tool in insmod rmmod depmod modinfo modprobe; do
        log_exec ln -snfr ${installDir}${bindir}/kmod ${installDir}${sbindir}/${tool}
done

# Configuration directories
log_exec install -dm755 ${installDir}${libdir}/depmod.d
log_exec install -dm755 ${installDir}${libdir}/modprobe.d
log_exec install -dm755 ${installDir}${sysconfdir}/depmod.d
log_exec install -dm755 ${installDir}${sysconfdir}/modprobe.d

# Install depmod.d file for search dir
log_exec install -Dm644 "${srcDir}/depmod-search.conf" "${installDir}${libdir}/depmod.d/search.conf"
