#!/bin/bash
#
# Recipe-specific step for task Configure:  (configure.sh)
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_configure() {
	sed -i -e 's/ansidecl.h//' $srcDir/configure.ac

	# The timestamps in the 1.1.28 tarball are messed up causing this file to
	# appear out of date.  Touch it so that we don't try to regenerate it.
	touch $srcDir/doc/xsltproc.1
    do_configure
}

do_buildstep_prepend

local_do_configure

do_buildstep_append

