#!/bin/bash
#
# Recipe-specific step for task Install:  (make_install.sh)
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
	install -d $installDir$sysconfdir
	install -p -m 644 $buildDir/login.defs_shadow-sysroot $installDir$sysconfdir/login.defs
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

