# !/bin/bash

log_exec install -d ${D}${sysconfdir} \
		   ${D}${sysconfdir}/default \
		   ${D}${sysconfdir}/init.d
for level in S 0 1 2 3 4 5 6; do
	log_exec install -d ${D}${sysconfdir}/rc$level.d
done

sed -e \
	's:#PSPLASH_TEXT#:${@bb.utils.contains("PACKAGECONFIG","psplash-text-updates","yes","no", d)}:g' \
	${WORKDIR}/rcS-default > ${D}${sysconfdir}/default/rcS

log_exec chmod 0644 ${D}${sysconfdir}/default/rcS
log_exec install -m 0755    ${WORKDIR}/rc		${D}${sysconfdir}/init.d
log_exec install -m 0755    ${WORKDIR}/rcS		${D}${sysconfdir}/init.d
log_exec install -m 0755    ${WORKDIR}/bootlogd.init     ${D}${sysconfdir}/init.d/bootlogd
log_exec ln -sf bootlogd ${D}${sysconfdir}/init.d/stop-bootlogd

log_exec update-rc.d -r ${D} bootlogd start 07 S .
log_exec update-rc.d -r ${D} stop-bootlogd start 99 2 3 4 5 .

log_exec install -d ${D}${sysconfdir}/default/volatiles
log_exec install -m 0644 ${WORKDIR}/01_bootlogd ${D}${sysconfdir}/default/volatiles

#log_exec chown root:shutdown ${D}${base_sbindir}/halt ${D}${base_sbindir}/shutdown
log_exec chmod o-x,u+s ${D}${base_sbindir}/halt ${D}${base_sbindir}/shutdown

# Already provided by e2fsprogs; sysvinit's version is a copy from there
log_exec rm ${D}${base_sbindir}/logsave
log_exec rm ${D}${mandir}/man8/logsave.8