#!/bin/bash
# Script to run make install with input target and arguments

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_buildstep_prepend

do_make_install

log_exec mkdir -p ${installDir}/${SYSROOT_LOC}/usr/bin
log_exec install -m 775 examples/pdf/pdfviewer/pdfviewer ${installDir}/${SYSROOT_LOC}/usr/bin/pdfviewer

do_buildstep_append
