#
# Update the configure script with version information that can't be computed
#

# Get the proper value from the dist directory
. $srcDir/dist/RELEASE

# Edit version information we couldn't pre-compute.
log_exec sed -e "s/__EDIT_DB_VERSION_FAMILY__/$DB_VERSION_FAMILY/g" \
		     -e "s/__EDIT_DB_VERSION_RELEASE__/$DB_VERSION_RELEASE/g" \
		     -e "s/__EDIT_DB_VERSION_MAJOR__/$DB_VERSION_MAJOR/g" \
		     -e "s/__EDIT_DB_VERSION_MINOR__/$DB_VERSION_MINOR/g" \
		     -e "s/__EDIT_DB_VERSION_PATCH__/$DB_VERSION_PATCH/g" \
		     -e "s/__EDIT_DB_VERSION_STRING__/$DB_VERSION_STRING/g" \
		     -e "s/__EDIT_DB_VERSION_FULL_STRING__/$DB_VERSION_FULL_STRING/g" \
		     -e "s/__EDIT_DB_VERSION_UNIQUE_NAME__/$DB_VERSION_UNIQUE_NAME/g" \
		     -e "s/__EDIT_DB_VERSION__/$DB_VERSION/g" \
		     -i $AUTOTOOLS_SCRIPT_PATH/configure
