#!/bin/bash

D=$installDir

if [ -f ${D}${bindir}/gtester-report ]; then
	sed ${D}${bindir}/gtester-report -i -e '1s|^#!.*|#!/usr/bin/env python3|'
fi

# Remove some unpackaged files
log_exec rm -rf ${D}${datadir}/glib-2.0/codegen/__pycache__
log_exec rm -f ${D}${datadir}/glib-2.0/codegen/*.pyc
log_exec rm -f ${D}${datadir}/glib-2.0/codegen/*.pyo

log_exec rm -rf ${D}/usr/share/locale/ca@valencia/
log_exec rm -rf ${D}/usr/share/locale/be@latin/
log_exec rm -rf ${D}/usr/share/locale/sr@ije/
log_exec rm -rf ${D}/usr/share/locale/en@shaw/
log_exec rm -rf ${D}/usr/share/locale/sr@latin/

# Some distros have both /bin/perl and /usr/bin/perl, but we set perl location
# for target as /usr/bin/perl, so fix it to use /usr/bin/env perl
if [ -f ${D}${bindir}/glib-mkenums ]; then
	sed -i -e '1s,#!.*perl,#! /usr/bin/env perl,' ${D}${bindir}/glib-mkenums
fi

if [ -e ${D}${libdir}/charset.alias ]; then
	log_exec rm -f ${D}${libdir}/charset.alias
fi
